Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 239495 - RFE: Build redhat-artwork-kde as a subpackage of redhat-artwork
Summary: RFE: Build redhat-artwork-kde as a subpackage of redhat-artwork
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-artwork
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-05-08 21:03 UTC by Kevin Kofler
Modified: 2013-03-06 03:50 UTC (History)
2 users (show)

Fixed In Version: 7.0.0-3.fc7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-10 18:58:33 UTC


Attachments (Terms of Use)
Patch against redhat-artwork.spec in CVS (deleted)
2007-05-10 09:00 UTC, Kevin Kofler
no flags Details | Diff

Description Kevin Kofler 2007-05-08 21:03:17 UTC
Description of problem:
Now that the merge has happened, can you please reenable the KDE stuff in 
redhat-artwork and put it in a subpackage (named redhat-artwork-kde so it 
transparently upgrades my split package)? (We discussed the options with Rex 
Dieter on IRC and we preferred the subpackage approach to the Obsoletes one.) 
There's little point in having 2 SRPMs with the same tarball in the new merged 
world.

Version-Release number of selected component (if applicable):
redhat-artwork-7.0.0-1

Comment 1 Matthias Clasen 2007-05-09 15:11:19 UTC
Kevin, David is out at the summit, so I'll doubt he'll have time to do this in
the near future. Do you have a spec file patch for this ?

Comment 2 Rex Dieter 2007-05-09 19:03:07 UTC
Saw -kde subpkg appear in cvs, but it currently contains:
Requires: %{name} ...
which isn't required, nor desired (ie, we don't want all of redhat-artwork 
pulled onto the kde livecd).  

All you need to do is omit this from the spec:
# save some space
%if "%{?kde}" == "1"
pushd $RPM_BUILD_ROOT%{_datadir}/apps/kdm/themes/FedoraFlyingHigh
  rm -f background.jpg
  ln -s ../../../../gdm/themes/FedoraFlyingHigh/background.jpg .
popd
%endif


Comment 3 Rex Dieter 2007-05-09 19:07:13 UTC
Ah, and (borred from former redhat-artwork-kde):
%files kde
+%defattr(-,root,root,-)
-%{_libdir}/kde3
+%{_libdir}/kde3/*
+%{_datadir}/apps/kdisplay/color-schemes/Bluecurve.kcsrc
%{_datadir}/apps/kdm/themes/Bluecurve
+%{_datadir}/apps/kdm/themes/Fedora*
+%{_datadir}/apps/kstyle/themes/Bluecurve.themerc
+%{_datadir}/apps/kwin/bluecurve.desktop



Comment 4 Rex Dieter 2007-05-09 19:11:40 UTC
You may want to consider adding:
%_libdir}/%{qtdir}
to -kde subpackage as well.

with that, and kde being split out, perhaps you could now seriously consider 
omitting:
# we don't want to require gtk/qt
Autoreq: 0

(I suppose in a perfect world, there would exist -gtk subpkg as well).



Comment 5 Kevin Kofler 2007-05-09 20:46:11 UTC
> Saw -kde subpkg appear in cvs, but it currently contains:
> Requires: %{name} ...
> which isn't required, nor desired (ie, we don't want all of redhat-artwork
> pulled onto the kde livecd).

It is desired:
* The Bluecurve Qt theme is in the base package, as are the Bluecurve icons 
(and Echo, but that doesn't properly work with KDE yet anyway).
* The KDM theme symlinks the background image to the GDM theme.
My package had Requires: redhat-artwork too.

Comment 6 Kevin Kofler 2007-05-09 20:51:42 UTC
As for %{_libdir}/kde3 being owned, that's because autoreq is disabled, so 
redhat-artwork can't rely on kdelibs actually being installed, and we don't 
want an unowned directory lieing around.

These ones are needed though:
+%{_datadir}/apps/kdisplay/color-schemes/Bluecurve.kcsrc
%{_datadir}/apps/kdm/themes/Bluecurve
+%{_datadir}/apps/kdm/themes/Fedora*
+%{_datadir}/apps/kstyle/themes/Bluecurve.themerc
+%{_datadir}/apps/kwin/bluecurve.desktop

This actually failed the build:
https://koji.fedoraproject.org/koji/getfile?taskID=5445&name=build.log
Koji is doing its job there. ;-) There's also /usr/share/icons/Fedora listed 
twice which the build rightfully complained about.

Comment 7 Kevin Kofler 2007-05-10 09:00:30 UTC
Created attachment 154452 [details]
Patch against redhat-artwork.spec in CVS

I attached a patch to fix the redhat-artwork.spec currently in CVS so it should
actually build:

-%dir %{_datadir}/icons/Fedora
-%{_datadir}/icons/Fedora/*
already covered by %{_datadir}/icons/* before, causes the duplicate file
errors.

+%{_datadir}/apps/kdisplay/color-schemes/Bluecurve.kcsrc
 %{_datadir}/apps/kdm/themes/Bluecurve
+%{_datadir}/apps/kdm/themes/Fedora*
+%{_datadir}/apps/kstyle/themes/Bluecurve.themerc
+%{_datadir}/apps/kwin/bluecurve.desktop
as discussed before.

Comment 8 Matthias Clasen 2007-05-10 13:09:55 UTC
Will be fixed in 7.0.0-3.fc7

Comment 9 Rex Dieter 2007-05-10 13:18:44 UTC
Thanks, no biggie, but could you move the qt bits to -kde too:
%{_libdir}/%{qtdir}/etc/settings/*
%{_libdir}/%{qtdir}/plugins/styles/bluecurve.la

Comment 10 Kevin Kofler 2007-05-10 13:44:25 UTC
Thanks for the fixes (I see you fixed Bug 239644 too), is releng already on the 
loop?

Comment 11 Kevin Kofler 2007-05-10 15:28:17 UTC
7.0.0-3.fc7 has been tagged f7-final by Release Engineering now.

Comment 12 Kevin Kofler 2007-05-10 17:21:46 UTC
Whoops, we forgot to add the:
%defattr(-,root,root,-)
under %files kde. (This is partly my fault for forgetting it in my patch.)

Comment 13 Matthias Clasen 2007-05-10 18:58:02 UTC
fixed in 7.0.0-4.fc7


Note You need to log in before you can comment on or make changes to this bug.